Bug 508779 - aldrin won't start on fc11
aldrin won't start on fc11
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: armstrong (Show other bugs)
11
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Orcan Ogetbil
Fedora Extras Quality Assurance
:
: 604755 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-29 15:59 EDT by oleg
Modified: 2010-06-16 22:50 EDT (History)
3 users (show)

See Also:
Fixed In Version: aldrin-0.13-4.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-15 11:58:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
aldrin log (23.16 KB, text/plain)
2009-06-29 15:59 EDT, oleg
no flags Details

  None (edit)
Description oleg 2009-06-29 15:59:44 EDT
Created attachment 349866 [details]
aldrin log

Description of problem:


Version-Release number of selected component (if applicable):
aldrin-0.13-1.fc11.noarch

How reproducible:
launch aldrin

Steps to Reproduce:
1. > yum install aldrin
2. > aldrin
3.
  
Actual results:
*** stack smashing detected ***: python terminated

Expected results:


Additional info:

see log in attachement
Comment 1 Orcan Ogetbil 2009-06-29 16:12:05 EDT
Thanks for the report.

What version of armstrong do you have? armstrong-0.2.6-7.fc11 just got pushed to the stable repo. Could you try it (from the testing repo if it is not yet in the stable repo of your mirror)? You will also need the matching pyzzub-0.2.6-7.fc11 package.

Did aldrin ever start or is this your first run? You can try wiping out the /home/sladkofo/.aldrin/ directory and start over.

Also what arch is your box and what arch is your armstrong?
Comment 2 oleg 2009-06-30 16:48:59 EDT
Hi

I upgraded with the following :

 ~]$ rpm -q armstrong pyzzub aldrin 
armstrong-0.2.6-7.fc11.i586
pyzzub-0.2.6-7.fc11.i586
aldrin-0.13-1.fc11.noarch


however aldrin still fails to start. that's my first try with my new fc11 install (from scratch), so aldrin never worked on my fc11.

I tried wiping my ~/.aldrin , but aldrin still fails.

regarding my arch : 
2.6.29.5-191.fc11.i586 #1 SMP Tue Jun 16 23:11:39 EDT 2009 i686 i686 i386 GNU/Linux


best regards,  
Oleg.
Comment 3 Orcan Ogetbil 2009-06-30 17:05:58 EDT
Hmm... I wiped out ~/.aldrin and removed all armstrong, pyzzub, aldrin from my box. Then I made a clean install but it works here. I can't reproduce your problem on x86_64. Maybe it is a i586 issue?

Or it could be a consequence of bug #505421. Could you do the workaround suggested in that bug, i.e. load the modules:
   # modprobe snd-seq-oss
   # modprobe snd-seq
then start frinika?

Another thing that you can try is to start the jackd daemon before starting frinika. You can use qjackctl for this purpose. Note that you need to do the tweaks outlined in
   /usr/share/doc/jack-audio-connection-kit-0.116.1/README.Fedora
to have a properly running jackd. If jackd is running, frinika will prefer that over alsa (which is good). I had problems with the alsa support of frinika in the past (but not anymore), maybe your case is related.
Comment 4 Orcan Ogetbil 2009-06-30 18:13:00 EDT
Oh, also could you paste here the output of
   $ cat /proc/cpuinfo |grep flags
Comment 5 oleg 2009-07-02 12:01:47 EDT
Hi

Thanks for your feedback.

I did all that you said but it still doesnt work. I asked a friend to test on a 64bit fc11 and it works...

my hardware seems to be 64bit capable :

 ~]$ cat /proc/cpuinfo |grep flags  
flags		: fpu vme de pse tsc msr pae mce cx8 apic mtrr pge mca cmov pat pse36 clflush dts acpi mmx fxsr sse sse2 ss ht tm pbe nx lm constant_tsc arch_perfmon pebs bts pni dtes64 monitor ds_cpl vmx smx est tm2 ssse3 cx16 xtpr pdcm sse4_1 xsave lahf_lm ida tpr_shadow vnmi flexpriority
flags		: fpu vme de pse tsc msr pae mce cx8 apic mtrr pge mca cmov pat pse36 clflush dts acpi mmx fxsr sse sse2 ss ht tm pbe nx lm constant_tsc arch_perfmon pebs bts pni dtes64 monitor ds_cpl vmx smx est tm2 ssse3 cx16 xtpr pdcm sse4_1 xsave lahf_lm ida tpr_shadow vnmi flexpriority

could it be possible for you to test aldrin on a 32bit fc11 ?


Best regards,
oleg.
Comment 6 Orcan Ogetbil 2009-07-02 13:52:13 EDT
Sorry, in comment #3 where I said "frinika", I meant "aldrin" (I got the names confused with some other bug.).

I don't have a 32bit box at the moment. From your traceback, it looks like that the bitcrusher plugin is doing something weird. Could you manually remove it (or move it somewhere outside of /usr/lib/) and see if aldrin starts?
Comment 7 oleg 2009-07-03 03:40:59 EDT
Hi

I didn't know frinika and it looks really interesting (I will give it a try)
Don't worry I didn't get confused.

I removed all the fx directory , but it still doesnt' work.

If you want I can send you the strace... Here is an extract :


open("/usr/lib/liblunarstd.so.0", O_RDONLY) = 4
read(4, "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0p\20\0\0004\0\0\0\330"..., 512) = 512
fstat64(4, {st_mode=S_IFREG|0755, st_size=12048, ...}) = 0
mmap2(NULL, 14808, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 4, 0) = 0x8b6000
mmap2(0x8b9000, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 4, 0x2) = 0x8b9000
close(4)                                = 0
munmap(0xb736c000, 95520)               = 0
open("/usr/lib/zzub/../lunar/fx/", O_RDONLY|O_NONBLOCK|O_LARGEFILE|O_DIRECTORY|O_CLOEXEC) = 4
getdents(4, /* 2 entries */, 32768)     = 32
getdents(4, /* 0 entries */, 32768)     = 0
close(4)                                = 0
open("/dev/tty", O_RDWR|O_NOCTTY|O_NONBLOCK) = 4
writev(4, [{"*** "..., 4}, {"stack smashing detected"..., 23}, {" ***: "..., 6}, {"python"..., 6}, {" terminated\n"..., 12}], 5*** stack smashing detected ***: python terminated
) = 51
futex(0x7f7d54, FUTEX_WAKE_PRIVATE, 2147483647) = 0
futex(0x2a127a8, FUTEX_WAKE_PRIVATE, 2147483647) = 0
write(4, "======= Backtrace: =========\n"..., 29======= Backtrace: =========
) = 29
writev(4, [{"/lib/libc.so.6"..., 14}, {"("..., 1}, {"__fortify_fail"..., 14}, {"+0x"..., 3}, {"48"..., 2}, {")"..., 1}, {"[0x"..., 3}, {"77ebd8"..., 6}, {"]\n"..., 2}], 9/lib/libc.so.6(__fortify_fail+0x48)[0x77ebd8]
) = 46
writev(4, [{"/lib/libc.so.6"..., 14}, {"("..., 1}, {"__fortify_fail"..., 14}, {"+0x"..., 3}, {"0"..., 1}, {")"..., 1}, {"[0x"..., 3}, {"77eb90"..., 6}, {"]\n"..., 2}], 9/lib/libc.so.6(__fortify_fail+0x0)[0x77eb90]
) = 45
writev(4, [{"/usr/lib/zzub/liblunar.so"..., 25}, {"[0x"..., 3}, {"82d32d4"..., 7}, {"]\n"..., 2}], 4/usr/lib/zzub/liblunar.so[0x82d32d4]
) = 37
writev(4, [{"/usr/lib/zzub/liblunar.so"..., 25}, {"[0x"..., 3}, {"82d0d43"..., 7}, {"]\n"..., 2}], 4/usr/lib/zzub/liblunar.so[0x82d0d43]
) = 37






Oleg.
Comment 8 Orcan Ogetbil 2009-07-03 13:45:06 EDT
This is beyond my programming knowledge. It doesn't look like a packaging bug and hence should better be reported upstream. I found that someone in their forums mentioned about the stack smashing:
   http://forums.zzub.org/viewtopic.php?f=3&t=8&start=10
but there is no proposed solution.

As I can't reproduce the error, could you report it there and tell them what you did so far? I suggest starting a new thread.

I would also try removing all lunar bits from /usr/lib/,
   /usr/lib/zzub/liblunar.so*
   /usr/lib/liblunarstd.so*
and try it this way, so that we can make sure that the problem is lunar specific (note that fx is also part of lunar).
Comment 9 Bidwell Ducanh 2009-07-29 00:53:34 EDT
I'm having this exact problem on i586 in F11. However on x86_64 aldrin works for me, so this seems to be a platform-specific bug.
Comment 10 Orcan Ogetbil 2010-02-27 04:43:17 EST
Hi folks, I will try to make a fix for this. Can you tell me your current Fedora versions so I can make test builds? Can you also verify that you still have the same problem? Thanks.
Comment 11 Orcan Ogetbil 2010-02-27 15:08:39 EST
For those who are running Fedora 12 I have made this test build of armstrong:

http://koji.fedoraproject.org/koji/taskinfo?taskID=2017763

You need to download and install both armstrong and pyzzub packages from the above link. See if this fixes your problem with aldrin.
Comment 12 oleg 2010-03-01 17:11:52 EST
Hi,

I am now using a fc12 64bits machine, so I no longer have the problem.
I need to find a 32 bit machine to check your fix and I will let you know .
Thanks for your support :)
Comment 13 Orcan Ogetbil 2010-03-05 21:56:52 EST
No problem. I think I finally got this. The following build seems to work on a ppc (32bit) machine. I will try it on a i686 sometime next week.

http://koji.fedoraproject.org/koji/taskinfo?taskID=2034134
Comment 14 Bug Zapper 2010-04-27 11:21:20 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 15 Fedora Update System 2010-05-30 12:11:16 EDT
aldrin-0.13-4.fc13,armstrong-0.2.6-11.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/aldrin-0.13-4.fc13,armstrong-0.2.6-11.fc13
Comment 16 Fedora Update System 2010-05-30 12:11:49 EDT
aldrin-0.13-4.fc12,armstrong-0.2.6-11.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/aldrin-0.13-4.fc12,armstrong-0.2.6-11.fc12
Comment 17 Fedora Update System 2010-05-30 12:11:55 EDT
aldrin-0.13-4.fc11,armstrong-0.2.6-11.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/aldrin-0.13-4.fc11,armstrong-0.2.6-11.fc11
Comment 18 Fedora Update System 2010-05-31 14:17:44 EDT
aldrin-0.13-4.fc12, armstrong-0.2.6-11.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update aldrin armstrong'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/aldrin-0.13-4.fc12,armstrong-0.2.6-11.fc12
Comment 19 Fedora Update System 2010-05-31 14:18:28 EDT
aldrin-0.13-4.fc13, armstrong-0.2.6-11.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update aldrin armstrong'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/aldrin-0.13-4.fc13,armstrong-0.2.6-11.fc13
Comment 20 Fedora Update System 2010-05-31 14:23:02 EDT
aldrin-0.13-4.fc11, armstrong-0.2.6-11.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update aldrin armstrong'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/aldrin-0.13-4.fc11,armstrong-0.2.6-11.fc11
Comment 21 Orcan Ogetbil 2010-05-31 14:53:41 EDT
Sorry folks, that the fix took so long. I am sure that the issue was not F-11 specific, but also occurs in more recent 32bit Fedoras. Now they are all fixed.
Comment 22 Fedora Update System 2010-06-15 11:58:16 EDT
aldrin-0.13-4.fc13, armstrong-0.2.6-11.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 23 Fedora Update System 2010-06-15 12:02:31 EDT
aldrin-0.13-4.fc12, armstrong-0.2.6-11.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 24 Fedora Update System 2010-06-15 12:07:28 EDT
aldrin-0.13-4.fc11, armstrong-0.2.6-11.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 25 Orcan Ogetbil 2010-06-16 22:50:28 EDT
*** Bug 604755 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.